**Goal:** Create an interface that allows a users to visualize data on the history and future of global small satellite missions
    
**Data Sources:**

Nanosatellites Database by Erik. (2016). Nanosatellite Database [Data file]. Retrieved 20 April, 2016 from http://www.nanosats.eu/.

Data Hub. (2012). Countries Continents [Data file]. Retreived 13 May, 2016 from

https://datahub.io/dataset/countries-continents/resource/aa08c34c-57e8-4e15-bd36-969bee26aba5

    
**Background:**

    
CubeSats and other small classes of satellite [1] are opening up new opportunities for space-based research. Tiny, relatively simple to build, and economical to launch, it’s not hard to see why these platforms are so appealing to people with an interest in astronomy, astrophysics, and meteorology just to name a few disciplines. Educational small satellites can even be flown for free on rockets planned for upcoming launches through NASA’s CubeSat Launch Initiative [2], making them one of the most accessible ways to prototype experimental instrumentation and study the cosmos. Unfortunately though, most small satellite data remains on private hard drives or in non-standard formats, maintained by groups that do not have the time or resources to publish and disseminate that data as there are no designated public repositories or standards to serve this function. This means that a wealth of data, which could be the foundation for new innovations and discoveries, is basically inaccessible. Worsening this problem, private companies are flying small sats with the intention of putting that data into proprietary formats and selling it back to researchers at a profit; these companies currently have little competition from the public or non-profit sector.

To address these issues, myself and a multidisciplinary team at the Harvard-Smithsonian Center for Astrophysics is working to create an open source, ready-to-use, small satellite data system that will allow researchers to reduce time spent on developing ad hoc systems and invest more time in the mission and instrumentation. We’re calling it The Space Library [3]. With an open solution like the one my team is proposing, educators and the public will gain access to live space data that will be ripe for current and future citizen science projects. Researchers in astronomy and astrophysics will also be more capable of building on the experimental work that small satellites enable.

On my website [4] I have hosted a few interactive data visualizations to help my team make the case for the importance of funding The Space Library.
    
**Visualizations:**
    
I built the visualizations on my website using R (packages: dplyr, plyr, RColorBrewer) and the R API for Plotly [5], a browser-based charting library built on plotly.js. The code I used to clean the nanosatellites database data is available on GitHub here [6] along with the code I used to create the plots themselves [7]. To generate the embed codes used on this site I pushed resulting plots to my personal account on Plotly [8].

I wanted to illustrate the increasingly global impact of small satellites without creating misleading graphics that hid the drastic skew toward North America and the United States in particular; to do this I created plots that an end-user can interact with. A person can adjust the scale, zoom, subset, pan and more using the toolbar at the top of each plot, which is made visible by hovering the cursor over that area. A person can also click on the legends to deselect and select data as well as using the plots selection features to alter the presentation. I did not include in these plots any launches that did not have specified dates (TBD) or for which the launches were cancelled.
 
 

